Name:          libdiscid
Version:       0.6.1
Release:       1mamba
Summary:       A Library for creating MusicBrainz DiscIDs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Fabio Giani <fabio.giani@gmail.com>
URL:           http://musicbrainz.org/doc/libdiscid
Source:        http://ftp.musicbrainz.org/pub/musicbrainz/libdiscid/libdiscid-%{version}.tar.gz
License:       LGPL
BuildRequires: cmake
BuildRequires: pkgconfig 
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This C library %{name} creates MusicBrainz DiscIDs from audio CDs. 
It reads the table of contents (TOC) of a CD and generates an identifier which can be used to lookup the CD at MusicBrainz. 
Additionally, it provides a submission URL for adding the DiscID to the database. 

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This C library %{name} creates MusicBrainz DiscIDs from audio CDs.

This package contains static libraries and header files need for development.

%prep

%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc AUTHORS COPYING ChangeLog README

%files devel
%defattr(-,root,root)
%{_includedir}/discid/ 
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc 

%changelog
* Fri Oct 04 2013 Automatic Build System <autodist@mambasoft.it> 0.6.1-1mamba
- automatic version update by autodist

* Tue Aug 06 2013 Automatic Build System <autodist@mambasoft.it> 0.5.2-1mamba
- automatic version update by autodist

* Thu Jun 20 2013 Automatic Build System <autodist@mambasoft.it> 0.5.1-1mamba
- automatic version update by autodist

* Sat Apr 13 2013 Automatic Build System <autodist@mambasoft.it> 0.5.0-1mamba
- automatic version update by autodist

* Fri Mar 08 2013 Automatic Build System <autodist@mambasoft.it> 0.4.1-1mamba
- automatic version update by autodist

* Wed Feb 13 2013 Automatic Build System <autodist@mambasoft.it> 0.3.2-1mamba
- automatic version update by autodist

* Fri Jan 18 2013 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- update to 0.3.0

* Fri Jan 22 2010 Fabio Giani <fabio.giani@gmail.com> 0.2.2-1mamba
- package created by autospec
